#' Table 8
#'
#' Example data taken from Table 8 of John Tukey's
#' "Future of Data Analysis." Note that this dataset fixes
#' a typo in the original document: Column 23, row 10 contains
#' 0.100, corrected from the original -0.100.
#'
#' @name table_8
#' @docType data
#' @format A 36x15 numeric matrix.
#'
#' @source
#' Tukey, John W. "The Future of Data Analysis."
#' \emph{The Annals of Mathematical Statistics},
#' \emph{33}(1), 1962, pp 1-67. \emph{JSTOR},
#' \url{https://www.jstor.org/stable/2237638}.
#'
#' @examples
#' table_8
#' vacuum_cleaner(table_8)
"table_8"
